Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class IntField

    java.lang.Object
      |
      +--shout3d.core.Field
            |
            +--shout3d.core.IntField

public class IntField
extends Field

A Field whose value stores a float.

Constructor Summary
`IntField(Node owner, java.lang.String fieldName, int usage, int value)` Constructs a new IntField.

Method Summary
`int` | `getValue()` Returns the current value of the field.
`java.lang.String` | `getValueByString()`
`void` | `setValue(int newVal)` Sets the value of the field from the input argument.
`void` | `setValueByString(java.lang.String string)`

Methods inherited from class shout3d.core.Field
`addFieldObserver, addRoute, deleteRoute, getName, getNumRoutes, getOwner, getRoutedField, getTypeName, getUsage, isOfType, isRouted, removeFieldObserver`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntField

    public IntField(Node owner,
                    java.lang.String fieldName,
                    int usage,
                    int value)

  Constructs a new IntField.
  Parameters:
    `owner` - this Field's owner
    `name` - this Field's name
    `usage` - this Field's usage
    `value` - this Field's value

Method Detail

### setValue

    public void setValue(int newVal)

  Sets the value of the field from the input argument. Afterward, notifies all registered FieldObservers.
  Parameters:
    `newVal` - the new value for the field

### getValue

    public int getValue()

  Returns the current value of the field.
  Returns:
    the current value

### setValueByString

    public void setValueByString(java.lang.String string)

  Overrides:
    setValueByString in class Field

### getValueByString

    public java.lang.String getValueByString()

  Overrides:
    getValueByString in class Field

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD